### Method

# Pango FontMapcreate_context

since: 1.22

#### Declaration [src]

    PangoContext*
    pango_font_map_create_context (
      PangoFontMap* fontmap
    )

#### Description [src]

Creates a `PangoContext` connected to `fontmap`.

This is equivalent to `pango_context_new()` followed by `pango_context_set_font_map()`.

If you are using Pango as part of a higher-level system, that system may have it’s own way of create a `PangoContext`. For instance, the GTK toolkit has, among others, gtk_widget_get_pango_context(). Use those instead.

Available since: 1.22

#### Return value

Type: `PangoContext`

The newly allocated `PangoContext`, which should be freed with g_object_unref().

The caller of the method takes ownership of the data, and is responsible for freeing it.